import { CloudEvent } from '@project-lakechain/sdk/models';
import { Result } from './result';
/**
 * A helper function that returns the operations to apply
 * to the image, ready to be passed to the sharp pipeline.
 * @param event the event to process.
 * @returns the operations to apply to the image.
 */
export declare const getOpts: (event: CloudEvent) => Promise<any>;
/**
 * Processes the given event and applies the Sharp operations
 * to the image associated with the event.
 * @param event the cloud event to process.
 */
export declare function processExpression(event: CloudEvent): AsyncGenerator<Result, void, any>;
