import { Result } from './result';
import { CloudEvent } from '@project-lakechain/sdk/models';
/**
 * Evaluates the given conditional expression and returns
 * its boolean result.
 * @param event the event to process.
 * @param opts execution options.
 * @returns a promise to the boolean result of the conditional.
 * @throws an error if the conditional expression is invalid.
 */
export declare const evaluateExpression: (event: CloudEvent, opts?: {}) => Promise<any>;
/**
 * Processes the given event using the given expression.
 * @param event the event to process.
 * @returns an async generator of processed images.
 */
export declare function processFunclet(event: CloudEvent): AsyncGenerator<Result, void, any>;
